uk.gov.hmrc.auth.core.authorise

# Predicate

###
Related Doc: package authorise

#### trait Predicate extends AnyRef

Defines a boolean check against auth properties

Linear Supertypes
AnyRef, Any
Known Subclasses
Admin, AffinityGroup, Agent, AlternatePredicate, Assistant, AuthProviders, CompositePredicate, ConfidenceLevel, CredentialRole, CredentialStrength, EmptyPredicate, Enrolment, Individual, L0, L100, L200, L300, L50, L500, Nino, Organisation, RawJsonPredicate, User
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Predicate
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract def toJson: JsValue

   Convert this predicate to JSON for sending over the wire

   Convert this predicate to JSON for sending over the wire

   returns

     the JSON

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def and(other: Predicate): Predicate

   Join this Predicate with another as a boolean AND

   Join this Predicate with another as a boolean AND

   other

     A Predicate to join with this Predicate

   returns

     A CompositePredicate containing this Predicate and the supplied one

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

12. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

13. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### final def notify(): Unit

    Definition Classes
      AnyRef

15. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

16. #### def or(other: Predicate): Predicate

    Join this Predicate with another as a boolean OR

    Join this Predicate with another as a boolean OR

    other

      A Predicate to join with this Predicate

    returns

      An AlternatePredicate containing this Predicate and the supplied one

17. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

18. #### def toString(): String

    Definition Classes
      AnyRef → Any

19. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

20. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

21. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped